Delete a thread

DELETE
/v1/inboxes/{inbox_id}/threads/{thread_id}

Removes the conversation from the inbox. Its received emails and emails stay in the environment until their retention ends; a later reply starts a new thread.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

inbox_id*string

The inbox's id.

thread_id*string

The thread's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The thread was deleted.

application/json
  1. response
object*"inbox_thread"
Value in"inbox_thread"
id*string
deleted*true
Value intrue
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.inboxes.threads.delete("inbox_01k7c8m4q2f3e9v6t5r1n0p8yz", "thread_01k7c8m4r0c2b8w9y3d5f6g7h8");
{  "object": "inbox_thread",  "id": "thread_01k7c8m4r0c2b8w9y3d5f6g7h8",  "deleted": true}